Page MenuHomePhabricator

docs: Add information about texture size limitations
ClosedPublic

Authored by myoungwoon on Aug 16 2017, 6:40 PM.

Details

Summary

I had added some information about texture size limitations to Elm image API reference.

Test Plan

Doxygen Revision

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 4282
Build 4347: arc lint + arc unit
myoungwoon created this revision.Aug 16 2017, 6:40 PM
raster edited edge metadata.Aug 22 2017, 6:10 PM

technically correct with the meat of the issue. though i think i could improve your english... do you want to do that here or just let me fix it later?

Here, I want to know the meat of the issue and any typos or wrong expressions in my comments. :)
Actually, I am not a good technical writer but just want to be a good one if possible.

raster added a comment.EditedAug 22 2017, 6:54 PM

OK then here:

If the image source size is bigger than maximum texture size of the GPU (or also of the software rendering code too), evas can't render it because of such a limitation. If evas just magically always downscales on load if it's too big, then the user has a new bug: "the image is blurry". Potentially any image can cause issue. What if the image is too big to allocate memory for it? A 30000x30000 image will need just a bit under 4GB of RAM to store it. Texture size limitations are something every game developer has to deal with game engines, OpenGL, D3D etc. You can get the maximum image size evas can possibly handle by the calling evas_image_max_size_get() function. If the image is bigger than this, you can try using load options to pre-scale down on load to lower quality. So use the elm_image_prescale_set() function to scale the image down. Another option is to use the Photocam widget. Photocam solves this issue by loading the prices as needed asynchronously in tiles and automatically using pre-scaling as well. So use Photocam if you expect to load very large images.

:)

Thanks a lot :)
I can see/smell a difference in ability to write.
I will submit revised patch right away.

no problems. don't get me wrong. you are writing in a foreign language. if my korean was as good as your english... i'd be a very very very happy man! just wanting to help make the english in the docs more"native"... :)

myoungwoon updated this revision to Diff 12071.Aug 22 2017, 9:26 PM

Add meat of this statement about texture size limitations.
And fix typos and wrong expressions according to Raster's comments.

raster accepted this revision.Aug 23 2017, 9:56 PM
This revision is now accepted and ready to land.Aug 23 2017, 9:56 PM
Closed by commit rEFLc017ab2dc057: docs: Add information about texture size limitations (authored by Myoungwoon Roy, Kim <myoungwoon.kim@samsung.com>, committed by raster). · Explain WhyAug 23 2017, 10:29 PM
This revision was automatically updated to reflect the committed changes.